# Compiled class file
*.class

# Log file
*.log

# BlueJ files
*.ctxt

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
*.war
*.nar
*.ear
*.zip
*.tar.gz
*.rar

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*


### Spring Boot

target/
!target/classes/
!target/dependency-reduced-pom.xml
!target/maven-archiver/pom.properties
!target/maven-archiver/pom.xml
!**/.mvn/wrapper/maven-wrapper.jar
!**/.mvn/wrapper/maven-wrapper.properties

### IntelliJ IDEA

.idea/
*.iml
*.ipr
*.iws
*.xml

### Eclipse

.project
.classpath
.settings/

### Windows

Thumbs.db
*.DS_Store

### macOS

.DS_Store